import { useState } from 'react';

interface IProps {
    open?: boolean;
    title?: string;
    children?: React.ReactNode; 
  }


  
  export const Collapsible: React.FC<IProps> = ({ open, children, title }) => {
    const [isOpen, setIsOpen] = useState(open);
  
    const handleFilterOpening = () => {
      setIsOpen((prev) => !prev);
    };

    return (
      <>
        <div className="collapse-card bg-db">
          <div>
            <div className="d-flex justify-content-between">
              <h6 className="font-weight-bold collapsible-a">{title}</h6>
              <button type="button" className="btn" onClick={handleFilterOpening}>
                {!isOpen ? (
                <img className='updown' src="https://static.igem.wiki/teams/5247/design/icons/angle-small-down.png" />
                ) : (
                <img className='updown' src="https://static.igem.wiki/teams/5247/design/icons/angle-small-up32px.png" />
                )}
              </button>
            </div>
          </div>
  
          <div className="">
            <div>{isOpen && <div className="p-3"> <hr className='collapsible-hr'/> {children}</div>}</div>
          </div>
        </div>
      </>
    );
  };

  export const CollapsibleTwo: React.FC<IProps> = ({ open, children, title }) => {
    const [isOpen, setIsOpen] = useState(open);
  
    const handleFilterOpening = () => {
      setIsOpen((prev) => !prev);
    };

    return (
      <>
      <section id={title}>
        <div className="collapse-card">
          <div>
            <div className="d-flex justify-content-between">
              <h3 className="font-weight-bold collapsible-a">{title}</h3>
              <button type="button" className="btn" onClick={handleFilterOpening}>
                {!isOpen ? (
                <img className='updown' src="https://static.igem.wiki/teams/5247/design/icons/angle-small-down.png" />
                ) : (
                <img className='updown' src="https://static.igem.wiki/teams/5247/design/icons/angle-small-up32px.png" />
                )}
              </button>
            </div>
          </div>
  
          <div className="">
            <div>{isOpen && <div className="p-3"> <hr className='collapsible-hr'/> {children}</div>}</div>
          </div>
        </div>
        </section>
      </>
    );
  };
  
  
  export default Collapsible;